%global __pecl %{_bindir}/pecl

%global php_zendabiver %((echo 0; php -i 2>/dev/null | sed -n 's/^PHP Extension => //p') | tail -1)
%global php_version %((echo 0; php-config --version 2>/dev/null) | tail -1)
%global php_pkg_version %((echo 0; rpm -q php-devel --qf '%{version}-%{release}' 2>/dev/null) | tail -1)
%global basepkg php
%global pecl_name sphinx
%global with_zts  0%{?__ztsphp:1}

# norootforbuild
%define pkg_name    sphinx
%define pkg_version 1.3.99.1
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php-pecl-sphinx
Version:	%{pkg_version}
Release:	15.3
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php-devel libsphinxclient-devel gcc gcc-c++
#Requires:	php = %{php_pkg_version}
Requires:      php(zend-abi) = %{php_zend_api}
Requires:      php(api) = %{php_core_api}
#
URL:		http://pecl.php.net/
Source:		http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{version}.tgz
Source1:	package.xml
Summary:	This extension provides bindings for libsphinxclient, client library for Sphinx
Provides:       php-pecl(%{pecl_name}) = %{version}

Requires(post): %{__pecl}
Requires(postun): %{__pecl}

%description
This extension provides bindings for libsphinxclient, client library for Sphinx.

Authors:
---------

		Antony Dovgal 

%prep
%setup -q -c -n %{pkg_name}-%{version}
cp %{S:1} .
%if %{with_zts}
cp -r %{pecl_name}-%{version} %{pecl_name}-%{version}-zts
%endif

%build
pushd %{pecl_name}-%{version}
%{_bindir}/phpize
%configure --with-sphinx=%{_prefix} --with-php-config=%{_bindir}/php-config
%{__make} %{?_smp_mflags}
popd

%if %{with_zts}
pushd %{pecl_name}-%{version}-zts
%{_bindir}/zts-phpize
%configure --with-sphinx=%{_prefix} --with-php-config=%{_bindir}/zts-php-config
%{__make} %{?_smp_mflags}
popd
%endif

%install
%{__rm} -rf %{buildroot}

pushd %{pecl_name}-%{version}
%{__make} install INSTALL_ROOT=%{buildroot}

popd

%if %{with_zts}
pushd %{pecl_name}-%{version}-zts
%{__make} install INSTALL_ROOT=%{buildroot}
popd

%endif

# Install the package XML file
%{__mkdir_p} %{buildroot}%{pecl_xmldir}
%{__install} -m 644 package.xml %{buildroot}%{pecl_xmldir}/%{name}.xml

# Drop in the bit of configuration
%{__mkdir_p} %{buildroot}%{php_inidir}
%{__cat} > %{buildroot}%{php_inidir}/sphinx.ini << 'EOF'
; Enable sphinx extension module
extension = sphinx.so
EOF

%if %{with_zts}
%{__mkdir_p} %{buildroot}%{php_ztsinidir}
%{__cp} %{buildroot}%{php_inidir}/sphinx.ini %{buildroot}%{php_ztsinidir}/sphinx.ini
%endif

%check
pushd %{pecl_name}-%{version}
TEST_PHP_EXECUTABLE=$(which php) php run-tests.php \
    -n -q -d extension_dir=modules \
    -d extension=sphinx.so
popd

%if %{with_zts}
pushd %{pecl_name}-%{version}-zts
TEST_PHP_EXECUTABLE=$(which zts-php) zts-php run-tests.php \
    -n -q -d extension_dir=modules \
    -d extension=sphinx.so
popd
%endif

%if 0%{?pecl_install:1}
%post
%{pecl_install} %{pecl_xmldir}/%{name}.xml >/dev/null || :
%endif

%if 0%{?pecl_uninstall:1}
%postun
if [ $1 -eq 0 ] ; then
    %{pecl_uninstall} %{pecl_name} >/dev/null || :
fi
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config(noreplace) %{php_inidir}/sphinx.ini
%{php_extdir}/sphinx.so
%{pecl_xmldir}/%{name}.xml

%if %{with_zts}
%config(noreplace) %{php_ztsinidir}/sphinx.ini
%{php_ztsextdir}/sphinx.so
%endif

%changelog
* Fri Apr 22 2016 cs@linux-administrator.com
- update to 1.4.0-dev
* Tue Aug  4 2015 cs@linux-administrator.com
- update to release 1.3.3
* Tue May 13 2014 cs@linux-administrator.com
- update to release 1.3.2
